> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bitski.com/llms.txt
> Use this file to discover all available pages before exploring further.

# PATCH Fulfillments

> Update a given fulfillment status to complete.

> [!NOTE]
>
> Access to this API is available upon request to [sales@bitski.com](mailto:sales@bitski.com).

### Path

**appId** `string` *required*

The Bitski application ID

**fulfillmentId** `string` *required*

The fulfillment ID

```bash cURL theme={null}
curl -X 'PATCH' \
  'https://api.bitski.com/v1/apps/{appId}/fulfillments/{fulfillmentId}}' \
  -H 'accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer <ACCESS_TOKEN>' \
  -d '{
  "fulfillment": {
    "fulfillmentState": "SUCCEDED",
    "transactionHash": "0xc705dec104b3c5b9f2395edd2bb59a2a66304fec529c569f8b613ab392354ee4"
  }
}'
```

### Examples

![Example](https://mintcdn.com/bitski/M9S3MklVi0sxl9A9/assets/images/fulfillment-a1c500bae89cda3612a85b6d2ce335da.jpeg?fit=max\&auto=format\&n=M9S3MklVi0sxl9A9\&q=85\&s=53ac80906626723c3e1e9eeb1c8c52c5)

### Response

**fulfillment** `Fulfillment object` *required*

**properties**

**id** `string` *required*

**chainId** `number` *required*

**createdAt** `string` *required*

**status** `string` *required*

**transactionHash** `string`

**type** `string` *required*

**items** `array` *required*

```json Sample Response theme={null}
{
  "fulfillment": {
    "chainId": 1,
    "createdAt": "2023-04-20T21:29:55.530Z",
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "status": "SUCCEEDED",
    "transactionHash": "0xc705dec104b3c5b9f2395edd2bb59a2a66304fec529c569f8b613ab392354ee4",
    "items": [
      {
        "destinationAddress": "0xa4ef984773fd233c4cbed9cb1b905a3fa21e9461",
        "tokenId": "0x1"
      }
    ],
    "type": "MINT_TOKEN"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.